[git] gnupg-doc - branch, master, updated. 2070774a8025daa5b1836016b5b7bda650dc3457

by Justus Winter cvs at cvs.gnupg.org
Thu Apr 6 13:32:00 CEST 2017


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The GnuPG website and other docs".

The branch, master has been updated
       via  2070774a8025daa5b1836016b5b7bda650dc3457 (commit)
       via  f558d66878641b1956c164a38422ca229034ee4b (commit)
       via  25a44e820e31809c2919db98e5b455aca7311b82 (commit)
      from  df62925eb36ad7d2908a9d1f991703d33a530816 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 2070774a8025daa5b1836016b5b7bda650dc3457
Author: Justus Winter <justus at g10code.com>
Date:   Thu Apr 6 13:30:42 2017 +0200

    jenkins: ignore failures to run the tests on Windows

diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index 8a56904..54d0098 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -277,7 +277,7 @@ case "$XTARGET" in
 		gnupg/*|gnupg-2.2/*)
 			bash /home/jenkins/bin/make-windows-cd.sh
 			# We need to pass the absolute path of the iso.
-			bash $HOME/bin/run-tests-w32.bash "$(readlink -f gnupg-test.iso)" || echo "FAIL: error running tests on Windows."
+			bash $HOME/bin/run-tests-w32.bash "$(readlink -f gnupg-test.iso)" || echo "Warning: error running tests on Windows."
 			;;
 	esac
         ;;

commit f558d66878641b1956c164a38422ca229034ee4b
Author: Justus Winter <justus at g10code.com>
Date:   Thu Apr 6 13:29:50 2017 +0200

    jenkins: add in-tree build target

diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index c4ee11e..8a56904 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -211,6 +211,22 @@ case "$XTARGET" in
 
         $MAKE install
         ;;
+    in-tree)
+	cd ..
+        ./configure --prefix=$PREFIX --enable-maintainer-mode \
+	           $CONFIGUREFLAGS \
+	           "$CONFIGUREFLAGS_0" \
+		   CFLAGS="$CFLAGS" \
+	           CXXFLAGS="$CXXFLAGS -std=c++11"
+        $MAKE $MAKEFLAGS
+
+        env $test_environment $MAKE -k check verbose=2 \
+	    || echo "FAIL: make check failed with status $?"
+        # Jenkins looks for "FAIL:" to mark a build unstable,
+        # hence || ... here
+
+        $MAKE install
+        ;;
     sanitizer)
 	# asan breaks the configure tests, so we disable it here.
         ASAN_OPTIONS=detect_leaks=0 \

commit 25a44e820e31809c2919db98e5b455aca7311b82
Author: Justus Winter <justus at g10code.com>
Date:   Thu Apr 6 13:25:49 2017 +0200

    jenkins: use ccache if available

diff --git a/misc/jenkins/bin/build.bash b/misc/jenkins/bin/build.bash
index c5a7fda..c4ee11e 100755
--- a/misc/jenkins/bin/build.bash
+++ b/misc/jenkins/bin/build.bash
@@ -15,6 +15,19 @@ case "$(uname)" in
 	;;
 esac
 
+if [ "$XTARGET" = w32 ]; then
+    CC=i686-w64-mingw32-gcc
+    CXX=i686-w64-mingw32-g++
+fi
+
+# Setup ccache if installed.
+if ccache --version >/dev/null; then
+    export CCACHE_DIR="$HOME/cache/$JOB_NAME"
+    mkdir -p "$CCACHE_DIR"
+    export CC="ccache ${CC:-gcc}"
+    export CXX="ccache ${CXX:-g++}"
+fi
+
 # Setup important envars
 PREFIX=$HOME/prefix/$XTARGET
 ORIGINAL_PREFIX=$HOME/prefix/$XTARGET

-----------------------------------------------------------------------

Summary of changes:
 misc/jenkins/bin/build.bash | 31 ++++++++++++++++++++++++++++++-
 1 file changed, 30 insertions(+), 1 deletion(-)


hooks/post-receive
-- 
The GnuPG website and other docs
http://git.gnupg.org




More information about the Gnupg-commits mailing list